std::is_bind_expression< _Tp >(3cxx)

NAME
std::is_bind_expression< _Tp > - Determines if the given type _Tp is a function object that should be treated as a subexpression when evaluating calls to function objects returned by bind().

SYNOPSIS

#include <functional>

Inherits std::integral_constant< bool, false >.

  Public Types

typedef integral_constant< bool, __v > type
typedef bool value_type

  Public Member Functions

constexpr operator value_type () const noexcept
constexpr value_type operator() () const noexcept

  Static Public Attributes

static constexpr bool value

Detailed Description

  template<typename _Tp>
struct std::is_bind_expression< _Tp >"Determines if the given type _Tp is a function object that should be treated as a subexpression when evaluating calls to function objects returned by bind().

C++11 [func.bind.isbind].

Author

Generated automatically by Doxygen for libstdc++ from the source code.